<div th:replace="data(defaultInput=~{::input})" th:fragment="input" xmlns:th="http://www.thymeleaf.org">
    <select nash-th:name="*{path.fullPath}">
        <option nash-th:each="idx : *{#numbers.sequence(adapter.min, adapter.max)}" nash-th:value="${idx}" nash-th:text="${idx}" nash-th:selected="*{value} == ${idx}" />
    </select>
</div>